Submit EasyCard application
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/application \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"initialUser": {
"firstName": "Jane",
"lastName": "Doe",
"birthDate": "1990-05-15",
"nationalId": "9005155800085",
"countryOfIssue": "ZA",
"email": "jane@acme.com",
"phoneCountryCode": "27",
"phoneNumber": "821234567",
"occupation": "15-1132",
"annualSalary": "50000",
"accountPurpose": "Business spending",
"expectedMonthlyVolume": "1000",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"role": "ADMIN"
},
"name": "Acme Pty Ltd",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"entity": {
"name": "Acme Pty Ltd",
"industry": "522320",
"registrationNumber": "2020/123456/07",
"taxId": "9123456789",
"website": "https://acme.example",
"description": "Payments platform",
"type": "limitedLiabilityCompany",
"expectedSpend": "10000"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
initialUser: {
firstName: 'Jane',
lastName: 'Doe',
birthDate: '1990-05-15',
nationalId: '9005155800085',
countryOfIssue: 'ZA',
email: 'jane@acme.com',
phoneCountryCode: '27',
phoneNumber: '821234567',
occupation: '15-1132',
annualSalary: '50000',
accountPurpose: 'Business spending',
expectedMonthlyVolume: '1000',
address: {
line1: '12 Main Road',
city: 'Johannesburg',
postalCode: '2000',
countryCode: 'ZA',
line2: 'Suite 4',
region: 'Gauteng'
},
role: 'ADMIN'
},
name: 'Acme Pty Ltd',
address: {
line1: '12 Main Road',
city: 'Johannesburg',
postalCode: '2000',
countryCode: 'ZA',
line2: 'Suite 4',
region: 'Gauteng'
},
entity: {
name: 'Acme Pty Ltd',
industry: '522320',
registrationNumber: '2020/123456/07',
taxId: '9123456789',
website: 'https://acme.example',
description: 'Payments platform',
type: 'limitedLiabilityCompany',
expectedSpend: '10000'
}
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/application"
payload = {
"initialUser": {
"firstName": "Jane",
"lastName": "Doe",
"birthDate": "1990-05-15",
"nationalId": "9005155800085",
"countryOfIssue": "ZA",
"email": "jane@acme.com",
"phoneCountryCode": "27",
"phoneNumber": "821234567",
"occupation": "15-1132",
"annualSalary": "50000",
"accountPurpose": "Business spending",
"expectedMonthlyVolume": "1000",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"role": "ADMIN"
},
"name": "Acme Pty Ltd",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"entity": {
"name": "Acme Pty Ltd",
"industry": "522320",
"registrationNumber": "2020/123456/07",
"taxId": "9123456789",
"website": "https://acme.example",
"description": "Payments platform",
"type": "limitedLiabilityCompany",
"expectedSpend": "10000"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/application"
payload := strings.NewReader("{\n \"initialUser\": {\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"birthDate\": \"1990-05-15\",\n \"nationalId\": \"9005155800085\",\n \"countryOfIssue\": \"ZA\",\n \"email\": \"jane@acme.com\",\n \"phoneCountryCode\": \"27\",\n \"phoneNumber\": \"821234567\",\n \"occupation\": \"15-1132\",\n \"annualSalary\": \"50000\",\n \"accountPurpose\": \"Business spending\",\n \"expectedMonthlyVolume\": \"1000\",\n \"address\": {\n \"line1\": \"12 Main Road\",\n \"city\": \"Johannesburg\",\n \"postalCode\": \"2000\",\n \"countryCode\": \"ZA\",\n \"line2\": \"Suite 4\",\n \"region\": \"Gauteng\"\n },\n \"role\": \"ADMIN\"\n },\n \"name\": \"Acme Pty Ltd\",\n \"address\": {\n \"line1\": \"12 Main Road\",\n \"city\": \"Johannesburg\",\n \"postalCode\": \"2000\",\n \"countryCode\": \"ZA\",\n \"line2\": \"Suite 4\",\n \"region\": \"Gauteng\"\n },\n \"entity\": {\n \"name\": \"Acme Pty Ltd\",\n \"industry\": \"522320\",\n \"registrationNumber\": \"2020/123456/07\",\n \"taxId\": \"9123456789\",\n \"website\": \"https://acme.example\",\n \"description\": \"Payments platform\",\n \"type\": \"limitedLiabilityCompany\",\n \"expectedSpend\": \"10000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440001",
"verificationUrl": "https://verify.easyonramp.com/kyc?token=..."
}Business
Submit EasyCard application
Enroll your business with EasyCard after KYB is approved. Wait for business.application.approved before enrolling end users.
POST
/
api
/
v1
/
business
/
application
Submit EasyCard application
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business/application \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"initialUser": {
"firstName": "Jane",
"lastName": "Doe",
"birthDate": "1990-05-15",
"nationalId": "9005155800085",
"countryOfIssue": "ZA",
"email": "jane@acme.com",
"phoneCountryCode": "27",
"phoneNumber": "821234567",
"occupation": "15-1132",
"annualSalary": "50000",
"accountPurpose": "Business spending",
"expectedMonthlyVolume": "1000",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"role": "ADMIN"
},
"name": "Acme Pty Ltd",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"entity": {
"name": "Acme Pty Ltd",
"industry": "522320",
"registrationNumber": "2020/123456/07",
"taxId": "9123456789",
"website": "https://acme.example",
"description": "Payments platform",
"type": "limitedLiabilityCompany",
"expectedSpend": "10000"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
initialUser: {
firstName: 'Jane',
lastName: 'Doe',
birthDate: '1990-05-15',
nationalId: '9005155800085',
countryOfIssue: 'ZA',
email: 'jane@acme.com',
phoneCountryCode: '27',
phoneNumber: '821234567',
occupation: '15-1132',
annualSalary: '50000',
accountPurpose: 'Business spending',
expectedMonthlyVolume: '1000',
address: {
line1: '12 Main Road',
city: 'Johannesburg',
postalCode: '2000',
countryCode: 'ZA',
line2: 'Suite 4',
region: 'Gauteng'
},
role: 'ADMIN'
},
name: 'Acme Pty Ltd',
address: {
line1: '12 Main Road',
city: 'Johannesburg',
postalCode: '2000',
countryCode: 'ZA',
line2: 'Suite 4',
region: 'Gauteng'
},
entity: {
name: 'Acme Pty Ltd',
industry: '522320',
registrationNumber: '2020/123456/07',
taxId: '9123456789',
website: 'https://acme.example',
description: 'Payments platform',
type: 'limitedLiabilityCompany',
expectedSpend: '10000'
}
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business/application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business/application"
payload = {
"initialUser": {
"firstName": "Jane",
"lastName": "Doe",
"birthDate": "1990-05-15",
"nationalId": "9005155800085",
"countryOfIssue": "ZA",
"email": "jane@acme.com",
"phoneCountryCode": "27",
"phoneNumber": "821234567",
"occupation": "15-1132",
"annualSalary": "50000",
"accountPurpose": "Business spending",
"expectedMonthlyVolume": "1000",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"role": "ADMIN"
},
"name": "Acme Pty Ltd",
"address": {
"line1": "12 Main Road",
"city": "Johannesburg",
"postalCode": "2000",
"countryCode": "ZA",
"line2": "Suite 4",
"region": "Gauteng"
},
"entity": {
"name": "Acme Pty Ltd",
"industry": "522320",
"registrationNumber": "2020/123456/07",
"taxId": "9123456789",
"website": "https://acme.example",
"description": "Payments platform",
"type": "limitedLiabilityCompany",
"expectedSpend": "10000"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business/application"
payload := strings.NewReader("{\n \"initialUser\": {\n \"firstName\": \"Jane\",\n \"lastName\": \"Doe\",\n \"birthDate\": \"1990-05-15\",\n \"nationalId\": \"9005155800085\",\n \"countryOfIssue\": \"ZA\",\n \"email\": \"jane@acme.com\",\n \"phoneCountryCode\": \"27\",\n \"phoneNumber\": \"821234567\",\n \"occupation\": \"15-1132\",\n \"annualSalary\": \"50000\",\n \"accountPurpose\": \"Business spending\",\n \"expectedMonthlyVolume\": \"1000\",\n \"address\": {\n \"line1\": \"12 Main Road\",\n \"city\": \"Johannesburg\",\n \"postalCode\": \"2000\",\n \"countryCode\": \"ZA\",\n \"line2\": \"Suite 4\",\n \"region\": \"Gauteng\"\n },\n \"role\": \"ADMIN\"\n },\n \"name\": \"Acme Pty Ltd\",\n \"address\": {\n \"line1\": \"12 Main Road\",\n \"city\": \"Johannesburg\",\n \"postalCode\": \"2000\",\n \"countryCode\": \"ZA\",\n \"line2\": \"Suite 4\",\n \"region\": \"Gauteng\"\n },\n \"entity\": {\n \"name\": \"Acme Pty Ltd\",\n \"industry\": \"522320\",\n \"registrationNumber\": \"2020/123456/07\",\n \"taxId\": \"9123456789\",\n \"website\": \"https://acme.example\",\n \"description\": \"Payments platform\",\n \"type\": \"limitedLiabilityCompany\",\n \"expectedSpend\": \"10000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "550e8400-e29b-41d4-a716-446655440001",
"verificationUrl": "https://verify.easyonramp.com/kyc?token=..."
}Authorizations
Bearer JWT issued to your business account during onboarding
Body
application/json